> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get business messaging usage summary

> Returns current-business usage totals for the active billing period, including spend, limits, and event summary data.



## OpenAPI

````yaml /openapi.json get /usage/summary/my
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /usage/summary/my:
    get:
      tags:
        - Usage
      summary: Get business messaging usage summary
      description: >-
        Returns current-business usage totals for the active billing period,
        including spend, limits, and event summary data.
      operationId: Usage_GetSummaryForCurrentBusiness
      parameters:
        - name: periodStart
          in: query
          description: The period start.
          schema:
            type: string
            format: date-time
        - name: periodEnd
          in: query
          description: The period end.
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Returns the usage summary response.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/UsageSummaryResponse'
                description: API DTO containing usage summary response data.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    UsageSummaryResponse:
      type: object
      properties:
        periodStart:
          type: string
          description: The date and time for the period start value on this usage summary.
          format: date-time
        periodEnd:
          type: string
          description: The date and time for the period end value on this usage summary.
          format: date-time
        customerChargeTotal:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: The customer charge total for this usage summary.
          format: double
        billableQuantityTotal:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: The billable quantity total for this usage summary.
          format: double
        usageRecordCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: The usage record count for this usage summary.
          format: int32
        pendingInvoiceCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: The pending invoice count for this usage summary.
          format: int32
        failedCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: The failed count for this usage summary.
          format: int32
        lines:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/UsageSummaryLine'
            description: >-
              API DTO containing usage summary line data used by Leadping API
              contracts.
          description: The lines included with this usage summary.
        counters:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/UsageCounterLine'
            description: API DTO containing a named usage counter shown in usage summaries.
          description: The named usage counters included with this usage summary.
      description: API DTO containing usage summary response data.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    UsageSummaryLine:
      type: object
      properties:
        channel:
          allOf:
            - $ref: '#/components/schemas/UsageChannel'
          description: The channel value for this usage summary line.
        billableUnit:
          allOf:
            - $ref: '#/components/schemas/BillableUnit'
          description: The billable unit value for this usage summary line.
        status:
          allOf:
            - $ref: '#/components/schemas/UsageRecordStatus'
          description: The current status for this usage summary line.
        quantity:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: The quantity value for this usage summary line.
          format: double
        customerChargeAmount:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: The monetary customer charge amount for this usage summary line.
          format: double
        recordCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: The record count for this usage summary line.
          format: int32
      description: >-
        API DTO containing usage summary line data used by Leadping API
        contracts.
    UsageCounterLine:
      type: object
      properties:
        key:
          type: string
          description: The stable key for this usage counter.
        label:
          type: string
          description: The human-readable label for this usage counter.
        value:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: The numeric value for this usage counter.
          format: double
        unit:
          type: string
          description: The unit label for this usage counter.
        sortOrder:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: The display order for this usage counter.
          format: int32
      description: API DTO containing a named usage counter shown in usage summaries.
    UsageChannel:
      enum:
        - sms
        - mms
        - email
        - voice
        - phone_number
        - warmup
        - website
        - domain
        - 10dlc
        - connection
        - automation
      type: string
      description: Defines the supported Usage Channel values.
    BillableUnit:
      enum:
        - sms_segment
        - mms_message
        - email_message
        - voice_minute
        - phone_number_month
        - warmup_sms_segment
        - warmup_voice_minute
        - website_setup
        - domain_registration
        - 10dlc_application
        - connection_action
        - automation_run
      type: string
      description: Defines the supported Billable Unit values.
    UsageRecordStatus:
      enum:
        - recorded
        - rated
        - pending_invoice
        - invoiced
        - charged
        - failed
        - refunded_credited
        - non_billable_internal
        - blocked_due_to_billing
      type: string
      description: Defines the supported Usage Record Status values.

````